#ifndef MMDEVICE_HH
#define MMDEVICE_HH

#include "ram.hh"

#include <vm68k/types.h>
#include <vm68k/memory.h>
#include <vm68k/processor.h>

using namespace vm68k ;


class MMDevice : public RAM
{
public:
    MMDevice ( bool debug = false ) ;
    virtual ~MMDevice () ;

    virtual int get_8(uint32_type address, function_code fc) const 
                { return 0 ; } ;
    virtual uint16_type get_16(uint32_type address, function_code fc) const
                { return 0 ; } ;
    virtual uint32_type get_32(uint32_type address, function_code fc) const
                { return 0 ; } ;
    virtual void put_8(uint32_type address, int value, function_code fc) {} ;
    virtual void put_16(uint32_type address, 
                    uint16_type value, function_code fc) {} ;
    virtual void put_32(uint32_type address, 
                    uint32_type value, function_code fc) {} ;
} ;

#endif

