#!/bin/bash


ROOTDIR=`pwd`
DESTDIR=~/w2k/xilinx/m68k

#~/m68k-dev/expt

VHDL_SUBS="output_vhdl pure_vhdl"
UCF_SUBS=ucf



echo -n "sm-install: Copying to Xilinx build directory..."

for DIR in $VHDL_SUBS $UCF_SUBS
do
    cd $ROOTDIR/$DIR

    find . -type f | while read i
    do
        DEST=$DESTDIR/$i
        if test -s $DEST
        then
            if cmp $i $DEST >/dev/null
            then
                # they are the same
                echo -n "."
            else
                cat $i >$DEST
                echo -n "+"
            fi
        else
            cat $i >$DEST
            echo -n "+"
        fi
    done
done
echo "done."

